%if %mdkversion == 300
%define build_for_corp3 1
%else
%define build_for_corp3 0
%endif

%if %build_for_corp3
%define distversion C30
%endif
%{?!mkrel:%define mkrel(c:) %{-c: 0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*\\D\+)?(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}

%define subrel 2

%define language zh-TW
%define locale %(echo %language|sed -e 's/-/_/g')
%define langname Traditional Chinese
%define name mozilla-firefox-%{locale}
%define version 1.5.0.6
%define release %mkrel 1
%define firefox_version %version
%define mozillalibdir %{_libdir}/mozilla-firefox-%{firefox_version}
%define xpidir http://ftp.mozilla.org/pub/mozilla.org/firefox/releases/%{firefox_version}/linux-i686/xpi/

Summary: %{langname} interface for Firefox 
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{xpidir}/%language.xpi
License: GPL
Group: Networking/WWW
Url: http://www.mozilla.org/products/firefox/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: mozilla-firefox = %{firefox_version}
Requires: locales-zh

%description
%{langname} localisation for Firefox

%prep
%setup -q -c
# put this to our current version
sed -i -e 's/maxVersion>.*</maxVersion>%{version}</g' install.rdf


%build

%install
rm -rf %buildroot
# Jar for the translation
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{language}@firefox.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{language}@firefox.mozilla.org/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{language}@firefox.mozilla.org

%changelog
* Thu Aug 17 2006 Vincent Danen <vdanen@mandriva.com> 1.5.0.6-0.2
- use some sed magic to set the maxVersion to the current version

* Fri Aug 11 2006 Vincent Danen <vdanen@mandriva.com> 1.5.0.6-0.1
- rebuild for firefox 1.5.0.6
- add mkrel support for corp3

* Tue Feb 21 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.0.1-2mdk
- Fix buildrequires
- Fix file permissions

* Wed Feb 08 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.5.0.1-1mdk
- New release 1.5.0.1

* Wed Jan 25 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.5-1mdk
- New release 1.5

* Wed Oct 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.7-1mdk
- New release 1.0.7

* Thu Jul 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.6-1mdk
- 1.0.6

* Thu May 24 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.4-1mdk
- 1.0.4

* Mon Mar 28 2005 Abel Cheung <deaddog@mandrake.org> 1.0.2-2mdk
- Run db rebuild script only when it exists
- Use real xpi for 1.0.2

* Thu Mar 24 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk 
- Rebuild for FF 1.0.2

* Tue Mar 22 2005 Nicolas Lcureuil <neoclust@mandrake.org> 1.0.1-2mdk
- Fix arch

* Tue Feb 22 2005 Stefan van der Eijk <stefan@eijk.nu> 1.0-2mdk
- fix bug #6574

* Thu Feb 10 2005 Abel Cheung <deaddog@mandrake.org> 1.0-1mdk
- First Mandrakelinux package, based on France package

